Attribute VB_Name = "GUITools"
Option Explicit

' Call in TextBox_GotFocus
' to hightlight the full content
Sub SelectAll()
    On Error Resume Next
    With Screen.ActiveForm.ActiveControl
        .SelStart = 0
        .SelLength = Len(Screen.ActiveForm.ActiveControl.Text)
    End With
End Sub

' Call in TextBox_KeyPress
' to transform 'Return' presses into 'Tab's:
Sub PerformTabOnReturn(KeyAscii As Integer)
    If KeyAscii = vbKeyReturn Then
        SendKeys "{TAB}"
        KeyAscii = 0
    End If
End Sub


' Call in TextBox_KeyUp
' to switch to next input field
' for full fields:
Sub TabIfFilled()
    On Error Resume Next
    With Screen.ActiveForm.ActiveControl
        If Len(.Text) = .MaxLength Then
            SendKeys "{TAB}"
        End If
    End With
End Sub

