VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Epics CA Server test"
   ClientHeight    =   2064
   ClientLeft      =   48
   ClientTop       =   336
   ClientWidth     =   3468
   Icon            =   "Main.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2064
   ScaleWidth      =   3468
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdSetEnum 
      Caption         =   "S&et"
      Height          =   375
      Left            =   2400
      TabIndex        =   6
      Top             =   600
      Width           =   975
   End
   Begin VB.TextBox txtEnumValue 
      Height          =   285
      Left            =   1560
      TabIndex        =   5
      Text            =   "Off"
      Top             =   600
      Width           =   735
   End
   Begin VB.TextBox txtEnumIndex 
      Height          =   285
      Left            =   1080
      TabIndex        =   4
      Text            =   "0"
      Top             =   600
      Width           =   375
   End
   Begin VB.CommandButton cmsArrSet 
      Caption         =   "&Array Set"
      Height          =   375
      Left            =   120
      TabIndex        =   10
      Top             =   1560
      Width           =   975
   End
   Begin VB.CommandButton cmdEnd 
      Caption         =   "&End"
      Height          =   375
      Left            =   2400
      TabIndex        =   11
      Top             =   1560
      Width           =   975
   End
   Begin VB.TextBox txtValue 
      Height          =   285
      Left            =   960
      TabIndex        =   8
      Text            =   "42.001"
      Top             =   1080
      Width           =   1335
   End
   Begin VB.CommandButton cmdSet 
      Caption         =   "&Set"
      Height          =   375
      Left            =   2400
      TabIndex        =   9
      Top             =   1080
      Width           =   975
   End
   Begin VB.TextBox txtPVName 
      Height          =   285
      Left            =   960
      TabIndex        =   1
      Text            =   "Egon"
      Top             =   165
      Width           =   1335
   End
   Begin VB.CommandButton cmdCreate 
      Caption         =   "&Create"
      Height          =   375
      Left            =   2400
      TabIndex        =   2
      Top             =   120
      Width           =   975
   End
   Begin VB.Label Label3 
      AutoSize        =   -1  'True
      Caption         =   "&Enum String:"
      Height          =   195
      Left            =   120
      TabIndex        =   3
      Top             =   600
      Width           =   900
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "&Value:"
      Height          =   195
      Left            =   120
      TabIndex        =   7
      Top             =   1080
      Width           =   450
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "PV &Name:"
      Height          =   195
      Left            =   120
      TabIndex        =   0
      Top             =   210
      Width           =   720
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public WithEvents PV As EpicsCAServer.ProcessVariable
Attribute PV.VB_VarHelpID = -1

Private Sub cmdSetEnum_Click()
    Dim i As Long
    
    i = Val(txtEnumIndex)
    PV.enum_string(i) = txtEnumValue
    txtEnumIndex = i + 1
    txtEnumValue.SetFocus
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Set frmMain = Nothing
End Sub

Private Sub cmdCreate_Click()
    Set PV = New EpicsCAServer.ProcessVariable
    
    PV.Name = Me.txtPVName
    PV.units = "Socks"
End Sub

Private Sub cmdSet_Click()
    PV.SetValue Val(Me.txtValue)
    txtValue.SetFocus
End Sub

Private Sub cmsArrSet_Click()
    Dim arr(2 To 5) As Double
    
    arr(2) = Val(Me.txtValue)
    arr(3) = 2 * arr(2)
    arr(4) = 3 * arr(2)
    arr(5) = 4 * arr(2)

    PV.SetValue arr
End Sub

Private Sub PV_Changed(ByVal value_received As Variant)
    Me.txtValue = value_received
    cmdSet_Click
End Sub

Private Sub cmdEnd_Click()
    Set PV = Nothing
End Sub


Private Sub txtPVName_GotFocus()
    SelectAll
End Sub

Private Sub txtPVName_KeyPress(KeyAscii As Integer)
    PerformTabOnReturn KeyAscii
End Sub

Private Sub txtEnumIndex_GotFocus()
    SelectAll
End Sub

Private Sub txtEnumValue_GotFocus()
    SelectAll
End Sub



Private Sub txtValue_GotFocus()
    SelectAll
End Sub

Private Sub txtValue_KeyPress(KeyAscii As Integer)
    PerformTabOnReturn KeyAscii
End Sub

